---
title: Accessing Interactive Nodes
#tags:
#keywords:
last_updated: 13 June 2019
#summary: ""
sidebar: merlin6_sidebar
permalink: /merlin6/interactive.html
---


## Login nodes description

The Merlin6 login nodes are the official machines for accessing the Merlin6 cluster.
From these machines, users can submit jobs to the Slurm batch system as well as visualize or compile their software.

The Merlin6 login nodes are the following:

| Hostname            | SSH | NoMachine | #cores      | CPU                                | Memory | Scratch    | Scratch Mountpoint |
| ------------------- | --- | --------- | ----------- |:---------------------------------- | ------ | ---------- |:------------------ |
| merlin-l-01.psi.ch  | yes | -         | 32 (2 x 16) | 2 x Intel Xeon E5-2697A v4 2.60GHz | 512GB  | 100GB SAS  | ``/scratch``       |
| merlin-l-02.psi.ch  | yes | yes       | 32 (2 x 16) | 2 x Intel Xeon E5-2697A v4 2.60GHz | 512GB  | 100GB SAS  | ``/scratch``       |
| merlin-l-001.psi.ch | -   | -         | 44 (2 x 22) | 2 x Intel Xeon Gold 6152 2.10GHz   | 512GB  | 2.0TB NVMe | ``/scratch``       |
| merlin-l-002.psi.ch | -   | -         | 44 (2 x 22) | 2 x Intel Xeon Gold 6142 2.10GHz   | 512GB  | 2.0TB NVMe | ``/scratch``       |

* ``merlin-l-001`` and ``merlin-l-002`` are not in production yet, hence SSH access is not possible.

---

## Remote Access

### SSH Access

For interactive command access, use a SSH client. We recommend to use X11 forwarding, despite is not the official way supported. It may help opening X applications.

For Linux:

```bash
ssh -XY $username@merlin-l-01.psi.ch
```

X applications are supported in the login nodes and X11 forwarding can be used for those users who have properly configured X11 support in their desktops:
* Merlin6 administrators **do not offer support** for user desktop configuration (Windows, MacOS, Linux).
   * Hence, Merlin6 administrators **do not offer official support** for X11 client setup.
   * However, a generic guide for X11 client setup (Windows, Linux and MacOS) will be provided.
* PSI desktop configuration issues must be addressed through  **[PSI Service Now](https://psi.service-now.com/psisp)** as an *Incident Request*.
   * Ticket will be redirected to the corresponding Desktop support group (Windows, Linux).

### NoMachine Access

X applications are supported in the login nodes and can run through NoMachine. This service is officially supported in the Merlin6 cluster and is the official X service.
* NoMachine *client installation* support has to be requested through **[PSI Service Now](https://psi.service-now.com/psisp)** as an *Incident Request*.
   * Ticket will be redirected to the corresponding support group (Windows or Linux)
* NoMachine *client configuration* and *connectivity* for Merlin6 is fully supported by Merlin6 administrators.
   * Please contact us through the official channels on any configuration issue with NoMachine.

---
